%define ver      1.2.10
%define rel      1
%define libname  libgtk+
%define major    1.2
%define		_sysconfdir	/etc

Summary:	The GIMP ToolKit (GTK+), a library for creating GUIs for X.
Name:		gtk+
Version:	%ver
Release:	%rel
License:	LGPL
Group:		Libraries
Source:		ftp://ftp.gimp.org/pub/gtk/v1.2/gtk+-%{ver}.tar.bz2
Source1:	gtkrc-default
Patch1: gtk+-1.2.6-ahiguti.patch
Patch5: gtk+-1.2.8-wrap-alnum.patch
# Supress alignment warnings on ia64
Patch10: gtk+-1.2.10-alignment.patch
# Improve exposure compression
Patch11: gtk+-1.2.10-expose.patch
# Handle focus tracking for embedded window properly
Patch12: gtk+-1.2.10-focus.patch
# Find gtkrc files for the current encoding better
Patch13: gtk+-1.2.10-encoding.patch
# Don't screw up CTEXT encoding for UTF-8
Patch14: gtk+-1.2.10-ctext.patch
# Don't warn about missing fonts for UTF-8
Patch15: gtk+-1.2.10-utf8fontset.patch
# Accept KP_Enter as a synonym for Return everywhere
Patch16: gtk+-1.2.10-kpenter.patch
# Allow theme switching to work properly when no windows are realized
Patch17: gtk+-1.2.10-themeswitch.patch
# Fix crash when switching themes
Patch18: gtk+-1.2.10-pixmapref.patch
# Fix computation of width of missing characters
Patch19: gtk+-1.2.10-missingchar.patch
# Fix sizes of Ukrainian fontsets
Patch20: gtk+-1.2.10-ukfont.patch
# Fix file selection delete-dir when changing directory problem
# also, fix memory corruption problem when changing directories.
Patch21: gtk+-1.2.10-deletedir.patch
# Improve warning for missing fonts
Patch22: gtk+-1.2.10-fontwarning.patch
# Allow themes to make scrollbar trough always repaint
Patch23: gtk+-1.2.10-troughpaint.patch
# Fix a crash that can happen in some apps when the current
# locale is not supported by XLib.
Patch24: gtk+-1.2.10-localecrash.patch
# Patch from CVS to fix b.g.o #56349
Patch26: gtk+-1.2.10-dndorder.patch
# Patch from CVS to fix b.g.o #94812
Patch27: gtk+-1.2.10-clistfocusrow.patch
# Fix GTK+ to obey X server's default bell volume
Patch28: gtk+-1.2.10-bellvolume.patch
# Hack up the configure scripts to deal with some obscure
# breakage with ancient libtool
Patch29: gtk+-1.2.10-libtool.patch
# Add a dependency on libgdk to libgtk (#106677)
Patch30: gtk+-1.2.10-gtkgdkdep.patch
Patch31: gtk+-underquoted.patch
Patch32: gtk+-1.2.10-ppc64.patch
# do not allow for undefined symbols in shared libraries -- Rex
Patch33: gtk+-1.2.10-no_undefined.patch
# http://bugzilla.redhat.com/222298
Patch34: gtk+-1.2.10-multilib.patch
Icon:		gtk+-logo.xpm
BuildRoot:	%{_tmppath}/%{name}-%{version}--root
Obsoletes:	gtk
Provides:	gtk+
URL:		http://www.gtk.org
Requires:	glib >= %{version}
BuildRequires:	glib-devel >= %{version}

%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces for the X Window System.  GTK+ was originally
written for the GIMP (GNU Image Manipulation Program) image processing
program, but is now used by several other programs as well.  

If you are planning on using the GIMP or another program that uses GTK+,
you'll need to have the gtk+ package installed.

%package -n %{libname}%{major}
Summary: Main library for gtk+
Group: Libraries
Provides: gtk+ = %{version}
Obsoletes: gtk+

%description -n %{libname}%{major}
This package contains the library needed to run programs dynamically
linked with gtk+.

%package -n %{libname}%{major}-devel
Summary: Development tools for GTK+ (GIMP ToolKit) applications.
Group: Development
Icon: gtk+-devel-logo.xpm
Provides: gtk+-devel

%description -n %{libname}%{major}-devel
The libgtk+1.2-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications. The libgtk+1.2-devel
package contains GDK (the General Drawing Kit, which simplifies the interface
for writing GTK+ widgets and using GTK+ widgets in applications), and GTK+
(the widget set).

Install libgtk+1.2-devel if you need to develop GTK+ applications.  You'll also
need to install the gtk+ package.

%prep
%setup -n gtk+-%{ver} -q
%patch1 -p1 -b .ahiguti
%patch5 -p1 -b .alnum
%patch10 -p1 -b .alignment
%patch11 -p1 -b .expose
%patch12 -p1 -b .focus
%patch13 -p1 -b .encoding
%patch14 -p1 -b .ctext
%patch15 -p1 -b .utf8fontset
%patch16 -p1 -b .kpenter
%patch17 -p1 -b .themeswitch
%patch18 -p1 -b .pixmapref
%patch19 -p1 -b .missingchar
%patch20 -p1 -b .ukfont
%patch21 -p1 -b .deletedir
%patch22 -p1 -b .fontwarning
%patch23 -p0 -b .troughpaint
%patch24 -p1 -b .localecrash
%patch26 -p0 -b .dndorder
%patch27 -p0 -b .clistfocusrow
%patch28 -p1 -b .bellvolume
%patch29 -p1 -b .libtool
%patch30 -p1 -b .gtkgdkdep
%patch31 -p1 -b .underquoted
%patch32 -p1 -b .ppc64
%patch33 -p1 -b .no_undefined
%patch34 -p1 -b .multilib

%build
%configure \
	--enable-debug=no \
	--with-xinput=xfree \
	--enable-shm=yes \
	--disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%{find_lang} %{name}
install -m 444 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/gtk/gtkrc

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gtk/gtkrc

cat > $RPM_BUILD_ROOT%{_sysconfdir}/gtk/gtkrc << EOF
style "gtk-tooltips-style" {
  bg[NORMAL] = "#ffffc0"
}

widget "gtk-tooltips" style "gtk-tooltips-style"
EOF

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gtk/gtkrc.zh_TW.Big5

cd $RPM_BUILD_ROOT%{_sysconfdir}/gtk
ln -s gtkrc.zh_TW.big5 gtkrc.zh_TW

rm -f %buildroot/etc/gtk/gtkrc

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}%{major} -f %{name}.lang
%defattr(-, root, root)
%{_libdir}/lib*.so.*
%{_libdir}/lib*.so
%{_libdir}/*.la
#%{_datadir}/themes/Default
%config(noreplace) %{_sysconfdir}/gtk/*

%files -n %{libname}%{major}-devel
%defattr(-, root, root)
%{_libdir}/*.a
%{_includedir}/*
%{_datadir}/aclocal/*
%{_bindir}/*
%{_libdir}/pkgconfig/*
